#42 ss5srv failing authentication

closed
None
7
2010-11-14
2010-09-18
Tymiboss
No

ss5src seems not to be able to connect to ss5 when using specific options.
Here is my log:

[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] SS5Statisticsics->V5TC:0 V4TC:0 V5NC:0 V4NC:0 V5FC:0 V4FC:0 V5CC:0 V4CC:0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] SS5Statisticsics->V5TB:0 V4TB:0 V5NB:0 V4NB:0 V5FB:0 V4FB:0 V5CB:0 V4CB:0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] SS5Statisticsics->V5TU:0 V5NU:0 V5FU:0 V5CU:0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] SS5Statisticsics->TAF: 0 TAE: 0 TAP: 0 NAF: 0 NAE: 0 NAP: 0 FAF: 0 FAE: 0 FAP: 0 CAF: 0 CAE: 0 CAP: 0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] SS5Statisticsics->THF: 0 THL: 0 NHF: 0 NHL: 0 FHF: 0 FHL: 0 CHF: 0 CHL: 0.

Here :

[18/Sep/2010:22:34:22 CEST] [3071773584] 127.0.0.1 "" "" ISERROR - - - (-:- -- -:-) (Socks method unknown)
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] MethodInfo->Ver 0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] MethodInfo->NMeth 0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] MethodInfo->NoAuth 0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] MethodInfo->BasicAuth 0.
[18/Sep/2010:22:34:22 CEST] [3071773584] [DEBU] MethodInfo->Method 0.

"SS5_SOCKS_PORT" is correctly set, "show_connect" is properly working for example. I get the issue with "disp_authcache" and "dist_authocache" options.

Discussion

  • Tymiboss

    Tymiboss - 2010-09-20
    • priority: 5 --> 7
    • assigned_to: nobody --> matteoricchetti
     
  • Matteo Ricchetti

    • status: open --> pending
     
  • Matteo Ricchetti

    Hi, did you set up SS5_SRV option into ss5.conf file?

     
  • Tymiboss

    Tymiboss - 2010-09-21

    SS5_SRV and SS5_CONSOLE are both activated in the config.
    I am not using the default port, but SS5_SOCKS_PORT is properly set in the environment.

     
  • Tymiboss

    Tymiboss - 2010-09-21
    • status: pending --> open
     
  • Nobody/Anonymous

    Are you using authentication or authorization cache directives?

    MR

     
  • Tymiboss

    Tymiboss - 2010-09-21

    Yes, I'm using both, with SS5_PAM. But what do you mean by "cache" directives ?

     
  • Nobody/Anonymous

    I mean SS5_AUTHCACHEAGE and SS5_AUTHOCACHEAGE directive into ss5.conf file.

     
  • Tymiboss

    Tymiboss - 2010-09-21

    They were nor activated. But that does not resolve my issue as it is the same after updating the config.
    Here is the top of my ss5.conf:
    set SS5_PAM_AUTH
    set SS5_SRV
    set SS5_CONSOLE
    set SS5_AUTHAGECACHE=5
    set SS5_AUTHOAGECACHE=5
    set SS5_DEBUG
    set SS5_VERBOSE

    And I still have this weird log issue when using "disp_authcache" for example:
    [21/Sep/2010:18:37:59 CEST] [3070397328] 127.0.0.1 "" "" ISERROR - - - (-:- -- -:-) (Socks method unknown)

     
  • Nobody/Anonymous

    Don't care about ss5.log, it is normal when there is a ss5srv command. Did disp_authcache work? If cache is empty you should see nothing.

     
  • Matteo Ricchetti

    • status: open --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks